Summary: Burn-in post-assembly tests for the Netwinder
Name: testscripts-os
%define version 0.9
Version: %{version}
Release: 1
Copyright: GPL
Group: Utilites/System
Source: testscripts-%{version}.tar.gz
BuildRoot: /var/tmp/testscripts-root
Provides: testscripts
Obsoletes: testscripts
ExclusiveArch: armv4l
ExclusiveOs: linux

%description
This package contains various scripts which are used test the hardware of a 
Netwinder fresh off the assembly line.

This version is specific to the Office Server hardware

%prep
%setup -n testscripts-%{version}

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -fr %{buildroot}

make PREFIX=$RPM_BUILD_ROOT install-os

# ln -s ../testscripts/mixer $RPM_BUILD_ROOT/usr/bin/mixer

%post
test -c /dev/nwbutton || mknod /dev/nwbutton c 10 158

%clean
rm -fr %{buildroot}

%files
# /usr/testscripts/audio
/usr/testscripts/button
# /usr/testscripts/mixer
# /usr/testscripts/vgamod
# /usr/testscripts/stereo.wav
/usr/bin/diag
# /usr/bin/mixer

%changelog
* Mon Jan 24 2000 Rod m. Stewart <stewart@netwinder.org>
- Office server specific version

* Wed Jan 19 2000 Rod m. Stewart <stewart@netwinder.org>
- add in office server option in menu to run only OS tests

* Tue Jan 11 2000 Rod m. Stewart <stewart@netwinder.org>
- add option to run all tests in one go

* Tue Dec 14 1999 Rod m. Stewart <stewart@netwinder.org>
- clean ups

* Tue Aug 3 1999 Ralph Siemsen <ralphs@netwinder.org>
- Checked into CVS and adapted so it could be built from there.

